# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

IUSE="cjk"

DESCRIPTION="SSTP Bottle Client for X"
SRC_URI="http://www.geocities.co.jp/SiliconValley-Cupertino/7565/archive/${P}.tar.gz"
HOMEPAGE="http://www.geocities.co.jp/SiliconValley-Cupertino/7565/"

DEPEND="dev-lang/python"
RDEPEND="${DEPEND}
	dev-lang/tcl
	dev-lang/tk
	|| ( ninix-aya ninix-aya-cvs ninix )
	cjk? ( media-fonts/shinonome
		dev-python/japanesecodecs )"

KEYWORDS="x86 alpha ~sparc ~sparc64 ~ppc"
LICENSE="GPL-2"
SLOT="0"

S="${WORKDIR}/${P}"

src_unpack(){
	unpack ${A}
	cd ${S}

	use cjk && epatch ${FILESDIR}/${P}.patch
}

src_install(){
	emake DESTDIR=${D} \
		prefix=/usr \
		exec_libdir=/usr/lib/bottler-1.0 \
		docdir=${D}/usr/share/doc/${P} \
		install
}
